-- Customise LSP UI
vim.lsp.handlers['textDocument/hover'] = vim.lsp.with(
  vim.lsp.handlers.hover, {
    border = 'rounded',
    title = 'Hover',
  }
)
vim.lsp.handlers['textDocument/signatureHelp'] = vim.lsp.with(
  vim.lsp.handlers.signature_help, {
    border = 'rounded',
    title = 'Signature Help',
  }
)

-- Customise diagnostic UI
vim.diagnostic.config({
  float = {
    border = 'rounded',
    title = 'Diagnostics',
  },
  virtual_text = false,
})
